<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('domain_registrars', function(Blueprint $table)
		{
			$table->id();
			$table->timestamps();
			$table->integer('site_id')->unsigned();
			$table->boolean('active')->default(false);

			$table->string('name',32);
			$table->string('file',32)->nullable();
			$table->string('whitelabel_url', 256)->nullable();
			$table->string('whitelabel_ns', 1024)->nullable();
			$table->string('manage_url', 256)->nullable();

			$table->foreign(['site_id'])->references(['id'])->on('sites');

			$table->unique(['id','site_id']);
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('domain_registrars');
	}
};